All Classes Files Functions Typedefs Groups Pages
NexGauge Class Reference
Nextion Component

`#include <NexGauge.h>`

Inheritance diagram for NexGauge:

## Public Member Functions

| NexGauge (uint8_t pid, uint8_t cid, const char *name)
bool | getValue (uint32_t *number)
bool | setValue (uint32_t number)
uint32_t | Get_background_color_bco (uint32_t *number)
bool | Set_background_color_bco (uint32_t number)
uint32_t | Get_font_color_pco (uint32_t *number)
bool | Set_font_color_pco (uint32_t number)
uint32_t | Get_pointer_thickness_wid (uint32_t *number)
bool | Set_pointer_thickness_wid (uint32_t number)
uint32_t | Get_background_cropi_picc (uint32_t *number)
bool | Set_background_crop_picc (uint32_t number)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Additional Inherited Members

Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

NexGauge component.

## Constructor & Destructor Documentation

NexGauge::NexGauge | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

uint32_t NexGauge::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexGauge::Get_background_cropi_picc | ( | uint32_t * | number | ) |

Get picc attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexGauge::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexGauge::Get_pointer_thickness_wid | ( | uint32_t * | number | ) |

Get wid attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

bool NexGauge::getValue | ( | uint32_t * | number | ) |

Get the value of gauge.

Parameters

  number | - an output parameter to save gauge's value.

Return values

  true | - success.
  false | - failed.

bool NexGauge::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexGauge::Set_background_crop_picc | ( | uint32_t | number | ) |

Set picc attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexGauge::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexGauge::Set_pointer_thickness_wid | ( | uint32_t | number | ) |

Set wid attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexGauge::setValue | ( | uint32_t | number | ) |

Set the value of gauge.

Parameters

  number | - the value of gauge.

Return values

  true | - success.
  false | - failed.

The documentation for this class was generated from the following files:

- NexGauge.h
- NexGauge.cpp